Retrieve list of all Local partners

Retrieve a paginated list of all Local partners and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings :

status - active or inactive
businessId - Local partner's business id.
name - Local Partner's name.
branchCode - The branch code of the Local Partner.
address - Address of the Local partner.
city - City of the Local Partner.
localPartnerCountry - Local partner's country ISO 2 code (e.g. "BG").
state - State of the Local partner. Support 3166-2 code values in the following format Country ISO 3166-1 two-character code and a string of up to three alphanumeric country-specific subdivision codes.
language - 4 digit code (Language Code ISO (ISO 639-1) and COUNTRY Code ISO (ISO 3166-1)).
organizationId - Organization ID.
privateId - Private ID.
taxId - Tax ID.
legalEntityBusinessId - Local partner's related legal entity business id.
legalEntityName - Local partner's related legal entity name.
bankAccountCountry - Local Partner's bank account country ISO 2 code (e.g. "US").
bankAccountIban - Local partner's bank account IBAN (e.g. "NL62RABO9688157082").
bankAccountNumber - Local partner's bank account number (e.g. "123456789").
bankAccountBic - Local partner's bank account BIC.
bankAccountBankCode - Local partner's bank account bank code (e.g. "ABCD")

For example, when you need to fetch all "active" Local partners that have name "Partner" you need to run this query
filter=status=active localPartnerName=Partner Name

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=status=active localPartnerName="Example Partner Name".


The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuebankAccountBankCode=ABCD
!=Not EqualNegated equalbankAccountBankCode!=ABCD
:InMatches field against list of comma separated valuesbankAccountBankCode:ABCD,BPPA,BPAP
!:Not InNegated InbankAccountBankCode!:ABCD,BPPA,BPAP
<field>ExistsA field without operator. Is true if the field is not null bankAccountBankCode
<field>!Not ExistsNegated exists. Is true if field is nullbankAccountBankCode!


The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

Usage Name Description
bankAccountIban=abc* or bankAccountIban="abc"* Starts with Matches any string starting with the value.
bankAccountIban=*abc or bankAccountIban=*"abc" Ends with Matches any string ending with the value.
bankAccountIban=*abc* or bankAccountIban=*"abc"* Like Matches any string containing the value.


integer
Defaults to 1

Specify which page of results to return, one-based example starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json